package com.example.diceroller;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

import java.util.Random;
import java.util.StringTokenizer;

/**
 * Created by thibaud on 20/04/17.
 */

public class DiceActivity extends Activity implements View.OnClickListener {

    private TextView textResult;
    private int max;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_dice);

        max = getIntent().getIntExtra("max", 0);

        TextView textTitle = (TextView)findViewById(R.id.textTitle);
        textTitle.setText(String.valueOf(max) + " " + getString(R.string.x_sided_dice));

        textResult = (TextView)findViewById(R.id.textResult);
        textResult.setText("");

        Button rollButton = (Button)findViewById(R.id.rollButton);
        rollButton.setOnClickListener(this);
    }

    @Override
    public void onClick(View v){
        Random rand = new Random();
        int result = rand.nextInt(max) + 1;
        this.textResult.setText(String.valueOf(result));
    }
}
